

  ![banner](https://github.com/Hamza417/Positional/blob/master/screenshots/banner.png?raw=false)

<br/>

## What's This ?
**Positional** is a location based app that utilizes the device's GPS and fetches various details of the current latitude and longitude data like Altitude, Speed, Address and similar other information and show it in easily understandable format to the user. Alongside this main functionality of being a location app, Positional also provides a separate panel for **Compass** and **Clock**, and they serve their own purpose as their name suggests.

**Compass** provides info related to direction and **Clock** fetches the time related information based on the current location and time zone and also sun's information like Sunset, Sunrise, Twilight and a good deal of other info.

On top of all the core functionality Positional is a highly polished app and provides another layer of flexibility to customize the app as per liking including skins for Clock and Compass faces, colors, and many other features that should have been there.

<br/>

## Download
![API](https://img.shields.io/badge/API-23%2B-%23138D75)

[![Free](https://img.shields.io/badge/Free%20Version-Play%20Store-839192?style=flat&logo=google%20play)](https://play.google.com/store/apps/details?id=app.simple.positional.lite)
[![Full](https://img.shields.io/badge/Full%20Version-Play%20Store-2E86C1?style=flat&logo=google%20play)](https://play.google.com/store/apps/details?id=app.simple.positional)

[![Intro](https://img.shields.io/youtube/views/34iuIlusrcs?label=Watch%20App%20Intro&logo=Youtube&logoColor=red&style=social)](https://youtu.be/34iuIlusrcs)

<br/>

## Stats
![Total Lines](https://img.shields.io/tokei/lines/github.com/Hamza417/Positional?color=%23DE7E42&label=Total%20Lines)
[![Hits](https://hits.seeyoufarm.com/api/count/incr/badge.svg?url=https%3A%2F%2Fgithub.com%2FHamza417%2FPositional&count_bg=%233FA6E6&title_bg=%23FB062F&icon=github.svg&icon_color=%23FFFFFF&title=Total+Visits&edge_flat=false)](https://hits.seeyoufarm.com)
[![Release](https://img.shields.io/github/v/release/Hamza417/Positional?color=212F3D&label=Release)](https://github.com/Hamza417/Positional/releases)
![Status](https://img.shields.io/badge/Status-Stable-orange)
![Size](https://img.shields.io/github/repo-size/Hamza417/Positional?color=teal&label=Repo%20Size&logo=github)
[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://github.com/Hamza417/Positional/blob/master/LICENSE) [![Crowdin](https://badges.crowdin.net/positional/localized.svg)](https://crowdin.com/project/positional) [![CodeFactor](https://www.codefactor.io/repository/github/hamza417/positional/badge)](https://www.codefactor.io/repository/github/hamza417/positional)

<br/>

## Screenshots
<img src="https://github.com/Hamza417/Positional/blob/master/screenshots/01.png" width="100%">
<img src="https://github.com/Hamza417/Positional/blob/master/screenshots/02.png" width="100%">
<img src="https://github.com/Hamza417/Positional/blob/master/screenshots/03.png" width="100%">
<img src="https://github.com/Hamza417/Positional/blob/master/screenshots/05.png" width="100%">
<img src="https://github.com/Hamza417/Positional/blob/master/screenshots/06.png" width="100%">
<img src="https://github.com/Hamza417/Positional/blob/master/screenshots/08.png" width="100%">
<img src="https://github.com/Hamza417/Positional/blob/master/screenshots/04.png" width="100%">

<br/>

## Features
  * Easy to use</br>
  * Smooth, with fluid animations</br>
  * Minimal UI</br>
  * Many Accent Colors<br/>
  * Customizable with various options to choose from</br>
  * Magnetic Compass</br>
  * Compass Sensor Speed</br>
  * Compass physics properties<br/>
  * Compass manual rotation
  * Compass bloom
  * Gimbal lock
  * Minimal Map (with and without labels)</br>
  * Google and Open Source Maps Support<br/>
  * Dark mode for maps<br/>
  * High contrast map<br/>
  * Satellite map<br/>
  * Many pin styles for the whole app<br/>
  * Various tiles servers for Open Maps including OpenTopo and Mapnik<br/>
  * Media keys support for map<br/>
  * GPS information</br>
  * Speedometer</br>
  * Altitude</br>
  * Distance<br/>
  * Displacement<br/>
  * Address of the current location<br/>
  * UTM, MGRS coordinate formatting<br/>
  * DMS coordinates support<br/>
  * Movement direction<br/>
  * Clock</br>
  * Clock motion types (both linear and inertia induced motion)</br>
  * Clock needle styles<br/>
  * Custom timezone support<br/>
  * UTC and Local Time references</br>
  * Sun Position/Location<br/>
  * Sun Azimuth<br/>
  * Sun Distance and Sun Altitude<br/>
  * Sunset and Sunrise time<br/>
  * Astronomical, Nautical, Civil twilight<br/>
  * Moon Position/Location</br>
  * Moonrise and Moonset time<br/>
  * Moon Altitude<br/>
  * Moon Phases<br/>
  * Moon Angle and Fraction<br/>
  * Moon states (Waning and Waxing)<br/>
  * Upcoming moon dates i.e.  New Moon, Full Moon, Third and First Quarter<br/>
  * Moon Illumination</br>
  * Dark Mode</br>
  * Level </br>
  * Custom location mode for manually fetching information of any part of the world<br/>
  * Sun time widgets
  * Sun time widget with splash arts
  * Clock widget
  * Moon phase widget
  * Trails marker
  * Travel journal using trails
  * Completely Ad-Free</br>

<br/>

## Contribution
Pull requests are welcome. For major changes, please open an issue first to discuss what you would like to change.

<br/>

## Translate
This app is currently only available in Bulgarian, English, Hindi and Urdu language. Contribute translating app into your native language on [Crowdin](https://crowdin.com/project/positional/)

<br/>

## Libraries Used
* [commons-suncalc](https://github.com/shred/commons-suncalc) by **Richard Körber**
  
<br/>

## License
**Positional** Copyright © 2021 - Hamza Rizwan

**Positional** is released as open source software under the [GPL v3](https://opensource.org/licenses/gpl-3.0.html) 
license, see the [LICENSE](./LICENSE) file in the project root for the full license text.

  [1]: http://www.inf.ufrgs.br
